# Get QStash IPv4 Addresses

> Returns the list of IPv4 addresses used by QStash for sending requests.

`GET /qstash/ipv4`

## OpenAPI

````yaml devops/developer-api/openapi.yml get /qstash/ipv4
openapi: 3.0.4
info:
  title: Developer API - Upstash
  description: This is a documentation to specify Developer API endpoints based on
    the OpenAPI 3.0 specification.
  contact:
    name: Support Team
    email: support@upstash.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.0
servers:
  - url: https://api.upstash.com/v2
tags:
  - name: redis
    description: Manage redis databases.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: teams
    description: Manage teams and team members.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: vector
    description: Manage vector indices.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: search
    description: Manage search indices.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
  - name: qstash
    description: Manage QStash.
    externalDocs:
      description: Find out more
      url: https://upstash.com/docs/devops/developer-api/introduction
paths:
  /qstash/ipv4:
    get:
      summary: Get QStash IPv4 Addresses
      description: Returns the list of IPv4 addresses used by QStash for sending requests.
      operationId: getQStashIPv4
      tags:
        - qstash
      responses:
        "200":
          description: List of IPv4 CIDR blocks
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
                example:
                  - 3.125.136.186/32
                  - 18.198.95.233/32
````
